
Redmine - Patch #20506

redmine I18n autoload instead of require

2015-08-11 01:55 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.2.0   

Description

redmine/i18n is required in redmine.rb, but row above it is autoloaded by rails and thus both mechanisms are loading it. It is problem

in some of my patches. But it is basically bad idea to mix those behaviours. ( My vote goes for a rails autoloading... )

Associated revisions

Revision 14509 - 2015-08-18 08:54 - Jean-Philippe Lang

Redmine I18n autoload instead of require (#20506).

Patch by Ondřej Ezr.

History

#1 - 2015-08-11 01:56 - Ondřej Ezr

- File redmine_i18n_loaded_automaticaly.patch added

#2 - 2015-08-18 08:54 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

Patch committed in r14509, thanks.

Files

redmine_i18n_loaded_automaticaly.patch 377 Bytes 2015-08-10 Ondřej Ezr
